# RE01 - List reasons

DescriptionThis API returns cancellation, refund, incident, and message reasons.Reasons are sorted by type then sort index (set in the back-office)
Call FrequencyRecommended usage: Each time a page must display a list of reasonsMaximum usage: Each time a page must display a list of reasonsRead MoreMore contextLocalizationThis resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

Endpoint: GET /api/reasons
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_ORDER_SETTINGS_READ

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `reasons` (array, required)
    List of reasons detailed

  - `reasons.code` (string, required)
    Reason code

  - `reasons.is_shop_right` (boolean, required)
    Indicate if reason is enabled to the shop

  - `reasons.label` (string, required)
    Reason label

  - `reasons.type` (string, required)
    Type of the reason
Enum: `"INCIDENT_OPEN"`, `"MPS_INCIDENT_OPEN"`, `"INCIDENT_CLOSE"`, `"MPS_INCIDENT_CLOSE"`, `"REFUND"`, `"MPS_REFUND"`, `"ORDER_MESSAGING"`, `"MPS_ORDER_MESSAGING"`, `"MPS_OFFER_MESSAGING"`, `"OFFER_MESSAGING"`, `"CANCELATION"`, `"MMP_SELLER_MESSAGING"`, `"MPS_SELLER_MESSAGING"`, `"RETURN"`, `"RETURN_REJECTION"`, `"RETURN_NON_COMPLIANT"`
See deprecated valuesDeprecated values: `"MESSAGING"`

  - `total_count` (integer, required)
    Total count of elements returned by the query (no pagination)

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

